---
title: Network monitor recording
slug: Tools/Network_Monitor/recording
tags:
  - '110n:priority'
  - Debugging
  - Dev Tools
  - Firefox
  - Guide
  - Networking
  - Tools
---
<p>{{ToolsSidebar}}</p>

<p>You can pause and resume the monitoring of network traffic using the pause button.</p>

<h2 id="Pausing_and_resume_network_traffic_recording">Pausing and resume network traffic recording</h2>

<p>The Network Monitor has a button that pauses and resumes recording of the current page's network traffic. This is useful in situations where, for example, you are trying to get a stable view of a page for debugging purposes, but under normal circumstances the view keeps evolving due to persistent network requests. The pause button allows you to look at a certain snapshot.</p>

<p>The button can be found at the far left of the main Network Monitor toolbar, and looks like a typical pause button — <img alt="" src="https://mdn.mozillademos.org/files/15625/pause-icon.png" style="height: 23px; width: 34px;">.</p>

<p>You can see it here in context:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/15624/play-pause-network-traffic.png" style="border-style: solid; border-width: 1px; display: block; height: 305px; margin: 0px auto; width: 930px;"></p>

<p>Once pressed, the button changes to a play icon, and you can toggle network traffic recording back on by pressing it again.</p>

<h2 id="Network_Monitor_features">Network Monitor features</h2>

<p>The following articles cover different aspects of using the network monitor:</p>

<ul>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Toolbar">Toolbar</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_list">Network request list</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/request_details">Network request details</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Performance_Analysis">Performance analysis</a></li>
 <li><a href="/en-US/docs/Tools/Network_Monitor/Throttling">Throttling</a></li>
</ul>
